<div class="flex-fixed-size side-bar">
  <div class="anchor-bar">
    @if (adminReferentialDataService.loggedAsAdmin$ | async) {
      <div
        class="anchor-group remove-chrome-router-link-border"
        [attr.data-test-anchor-link-id]="'profiles'"
        [routerLinkActive]="'anchor-group-selected'"
        [routerLink]="'../manage'"
      >
        <div
          [routerLinkActive]="'container-active'"
          class="container"
          nz-tooltip
          nzTooltipPlacement="right"
          [nzTooltipTitle]="'sqtm-core.generic.label.profiles' | translate"
        >
          <i
            nz-icon
            class="admin-workspace-anchor-icon"
            nzType="sqtm-core-nav-admin:nav_profiles"
            nzTheme="outline"
          ></i>
        </div>
      </div>
    }
    <div
      class="anchor-group remove-chrome-router-link-border"
      [attr.data-test-anchor-link-id]="'permissions'"
      [routerLinkActive]="'anchor-group-selected'"
      [routerLink]="'../permissions'"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.generic.label.permission-matrix' | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:permissions_matrix"
          nzTheme="outline"
        ></i>
      </div>
    </div>
  </div>

  <ng-content></ng-content>
</div>
